import logging

from helper import *

REDIS_CLUSTER_DIR = '/opt/volume/redis-cluster/data/'
MINUTE_CLEANUP_LIMIT = 90

logging.basicConfig(format=FORMAT, datefmt=DATEFMT, level=logging.DEBUG)

def main():
    pods_list = get_list_of_redis_cluster_pods()
    for pod in pods_list:
        logging.info("Cleaning up files for pod {pod}".format(pod=pod))
        execute_command_for_pod(pod, "find /opt/volume/redis-cluster/data -name 'temp*' -type f -mmin +{time} -delete".format(time=MINUTE_CLEANUP_LIMIT))
        logging.info("Finished cleaning up pod {pod}".format(pod=pod))

if __name__ == "__main__":
    logging.info("Starting check for old temp files")
    main()
